import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '设备管理_传递后_项目名称_查询数据',
      param: '考核状态=5'
    }
  })
}
export function searchData(check1, num1, check2, start, end, type) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_新排产算法_工时统计_单个项目总工时',
      param: '项目流水号_check=' + check1 + '&项目流水号=' + num1 + '&日期_check=' + check2 + '&开始日期=' + start + '&结束日期=' + end + '&查询类型=' + type
    }
  })
}
